# EncounterSceneRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class EncounterSceneRequirement`Abstract`

#### Hierarchy (View Summary)

- EncounterSceneRequirement
  - CombinationSceneRequirement
  - PreviousEncounterRequirement
  - WaveRangeRequirement
  - WaveModulusRequirement
  - TimeOfDayRequirement
  - WeatherRequirement
  - PartySizeRequirement
  - PersistentModifierRequirement
  - MoneyRequirement

#### Implements

- EncounterRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:25

##### Index

### Constructors

constructor

### Methods

getDialogueToken
meetsRequirement

## Constructors

### constructor

- new EncounterSceneRequirement(): EncounterSceneRequirement

  #### Returns EncounterSceneRequirement

## Methods

### `Abstract` getDialogueToken

- getDialogueToken(pokemon?: PlayerPokemon ): [string, string]

  Returns a dialogue token key/value pair for a given Requirement. Should be overridden by child Requirement classes.

  #### Parameters

  - `Optional` pokemon: PlayerPokemon

  #### Returns [string, string]

  Implementation of EncounterRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:35

### `Abstract` meetsRequirement

- meetsRequirement(): boolean

  Returns whether the EncounterSceneRequirement's... requirements, are met by the given scene

  #### Returns boolean

  Implementation of EncounterRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:29